Bug 186312 - anaconda does not detect software raid (/dev/md0)
anaconda does not detect software raid (/dev/md0)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 15:38 EST by drago01
Modified: 2015-01-04 17:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 19:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FC5 rescue mode dmesg output (7.59 KB, text/plain)
2006-03-23 13:29 EST, drago01
no flags Details
fdisk output from FC5 rescue mode (1.70 KB, text/plain)
2006-03-23 13:30 EST, drago01
no flags Details

  None (edit)
Description drago01 2006-03-22 15:38:28 EST
Description of problem:
I tryed to update FC4->FC5 which is installed on a software raid but it does not
work. 
booted into rescue mode and the partition does not get detected too.
something about mdadm returnded error -12

Version-Release number of selected component (if applicable):


How reproducible:

always
Steps to Reproduce:
1. boot on a sys with a md raid setup
2. notice that it does not gets detected
3.
  
Actual results:
partition not detected

Expected results:

partition should be detected

Additional info:cat /proc/mdstat
Personalities : [raid0]
md0 : active raid0 sdb6[1] sda6[0]
      130102016 blocks 256k chunks

unused devices: <none>
(running on FC x86_64)
Comment 1 drago01 2006-03-23 12:30:46 EST
more info:
 mdadm -D /dev/md0
/dev/md0:
        Version : 00.90.03
  Creation Time : Fri Feb 17 21:44:08 2006
     Raid Level : raid0
     Array Size : 130102016 (124.07 GiB 133.22 GB)
   Raid Devices : 2
  Total Devices : 2
Preferred Minor : 0
    Persistence : Superblock is persistent

    Update Time : Fri Feb 17 21:44:08 2006
          State : clean
 Active Devices : 2
Working Devices : 2
 Failed Devices : 0
  Spare Devices : 0

     Chunk Size : 256K

           UUID : 45f7813f:bf071dc0:3a87b40f:5803f8ab
         Events : 0.1

    Number   Major   Minor   RaidDevice State
       0       8        6        0      active sync   /dev/sda6
       1       8       22        1      active sync   /dev/sdb6
Comment 2 drago01 2006-03-23 12:37:36 EST
/sbin/mdadm --monitor /dev/md0
Mar 23 18:43:17: DeviceDisappeared on /dev/md0 Wrong-Level

what does this mean?
Comment 3 drago01 2006-03-23 13:10:07 EST
I also get 
md: sdb7 has invalid sb, not importing! 
on FC4 it works fine...
whats going on?
whats funny is that sdb7 has nothing to do with the raid:

Disk /dev/hda: 40.0 GB, 40016019968 bytes
255 heads, 63 sectors/track, 4865 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1        4864    39070048+   b  W95 FAT32

Disk /dev/sda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1       13054   104856223+   7  HPFS/NTFS
/dev/sda2   *       13055       22192    73400985    7  HPFS/NTFS
/dev/sda3           22193       22205      104422+  83  Linux
/dev/sda4           22206       30401    65834370    f  W95 Ext'd (LBA)
/dev/sda5           30304       30401      787153+  82  Linux swap / Solaris
/dev/sda6           22206       30303    65047122   fd  Linux raid autodetect

Partition table entries are not in disk order

Disk /dev/sdb: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *           1        8159    65537136    7  HPFS/NTFS
/dev/sdb2            8160       30401   178658865    f  W95 Ext'd (LBA)
/dev/sdb5            8160       20907   102398247    7  HPFS/NTFS
/dev/sdb6           20908       29006    65055186   fd  Linux raid autodetect
/dev/sdb7   *       29007       30401    11205306    7  HPFS/NTFS

Disk /dev/md0: 133.2 GB, 133224464384 bytes
2 heads, 4 sectors/track, 32525504 cylinders
Units = cylinders of 8 * 512 = 4096 bytes

Disk /dev/md0 doesn't contain a valid partition table

Disk /dev/sdf: 125 MB, 125960192 bytes
8 heads, 32 sectors/track, 961 cylinders
Units = cylinders of 256 * 512 = 131072 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdf1               1         961      122959+   6  FAT16
Comment 4 drago01 2006-03-23 13:12:42 EST
added Dave to CC because it might be a kernel bug.
Comment 5 drago01 2006-03-23 13:29:37 EST
Created attachment 126561 [details]
FC5 rescue mode dmesg output

here is the dmesg output from FC5 (captured using usb pen drive in rescue mode)
Comment 6 drago01 2006-03-23 13:30:55 EST
Created attachment 126562 [details]
fdisk output from FC5 rescue mode
Comment 7 Bob Gustafson 2006-03-23 18:12:19 EST
see also bug #186182
Comment 8 Denis Leroy 2006-03-27 12:23:50 EST
I ran into the same problem when i upgraded from FC4 to FC5. It did not detect
the software RAID setup, so i had to work around it in Anaconda. Once the
upgrade was done, no problem though after i set the /home mount manually
.
Comment 9 Jeremy Katz 2006-03-27 13:00:26 EST
This is looking more and more like a kernel problem since it's throwing out the
md devs
Comment 10 drago01 2006-04-05 10:25:54 EDT
something similar happens here but not installer related...
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=188030
looks like that the kernel is somehow broken?
Comment 11 Emil Volcheck 2006-06-18 20:07:11 EDT
I have the same problem.  When installing FC5, software RAID on /dev/md0  
is not detected, and it will not upgrade.  I am currently running FC4. 
 
Thanks, 
  
Emil Volcheck <volcheck@acm.org>  
Comment 12 drago01 2006-06-19 05:29:01 EDT
(In reply to comment #11)
> I have the same problem.  When installing FC5, software RAID on /dev/md0  
> is not detected, and it will not upgrade.  I am currently running FC4. 
>  
> Thanks, 
>   
> Emil Volcheck <volcheck@acm.org>  

can you post the output of fdisk -l ?

for me the FC6-rawhide rescue cd finds the raid array lets hope that FC6 will
have this bug fixed.
Comment 13 Bob Gustafson 2006-06-19 09:38:08 EDT
I had reported the problem differently in bug 189971, see that bug for history
of solution.

Solution is to disconnect all drives other than CD and raid disks from system.
This means firewire, USB, etc. These other drives confuse anaconda and the
result is that anaconda cannot see already configured raid arrays.

Comment 14 drago01 2006-06-19 09:41:40 EDT
(In reply to comment #13)
> I had reported the problem differently in bug 189971, see that bug for history
> of solution.
> 
> Solution is to disconnect all drives other than CD and raid disks from system.
> This means firewire, USB, etc. These other drives confuse anaconda and the
> result is that anaconda cannot see already configured raid arrays.
> 
> 
but what happens if the system is installed and all drives are reconnected?
does the system find its root partition?
Comment 15 Bob Gustafson 2006-06-19 10:54:25 EDT
In my case, no problem.

The difficulty seems to be limited to anaconda at the time of installing FC5.

Also, you might select installing NO additional features (no workstation, no
server, etc.) The installation phase of anaconda is shortened greatly and the
probability of not finishing because of another anaconda error is lessened. It
takes slightly more than one CD to install the minimum stuff.

Then, once you have your system up and running under FC5 (with RAID..), then you
can plug in all your other drives and also use the
Gnome->applications>add-remove software to install the rest of what you want
from the internet. You would do this last stage anyway to get updated packages,
so why install out of date stuff first (risking agony with anaconda).

It would be useful to have add-remove software go to CD iso disks as well as the
internet, but that is a suggestion for another bug report..

Good luck
Comment 16 Dave Jones 2006-10-16 20:15:14 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 17 drago01 2006-11-01 02:27:25 EST
It wasn't possible to test this with the FC5 kernel update (without rebuild a
new install image), but I was able to update my FC5 mdraid0 installation using
FC6 anaconda. 
Comment 18 Dave Jones 2006-11-20 19:19:20 EST
at some point the fedora unity project may do a respin that includes a recent
kernel, so it may be updated for FC5.  Good to hear that FC6 is working though.

I'll close this out, as the two kernels are pretty much identical from a code
standpoint, so chances are good its fixed in FC5.

Note You need to log in before you can comment on or make changes to this bug.